> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/43.-zapit-otrimati-polya.md).

# 43. Запит Отримати "Поля"

Запит для отримання користувацьких "Полів" з фільтрами за `мітками`, `farmUuid`, `fieldUuid`, `назвоюПоля`. Поля повертаються в алфавітному порядку за назвою поля.&#x20;

Фільтр поля працює як умова І, наприклад, можна фільтрувати за `farmUuid` та за `fieldUuid` та за `мітками` та за `назвоюПоля` в одному запиті або використовувати лише одну умову фільтра або не використовувати умову.&#x20;

Фільтрувати за `назвоюПоля` працює як `починається_з`.&#x20;

Щоб реалізувати логіку пагінації, використовуйте параметр запиту `розмірСторінки`. Є `останнійОціненийКлюч` та `загальнаКількість` в відповіді, де `останнійОціненийКлюч` відноситься до останнього обробленого запису, що відповідає умові фільтра, і `загальнаКількість` це загальна кількість записів, що відповідають умовам фільтрації.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FilterFields {
  getFields(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      labels: [{ name: "name1", value: "value1" }]
      pageSize: 2
      lastEvaluatedKey: {
        SortKey: "<some_key>"
        PartitionKey: "<some_key>"
        TagString: "<some_key>"
      }
      fieldName: "Sample"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      назва
      labels {
        назва
        value
      }
      загальнаКількість
    }
    lastEvaluatedKey {
      SortKey
      PartitionKey
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/43.-zapit-otrimati-polya.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
